For the complete documentation index, see llms.txt. This page is also available as Markdown.

author_pendingExtrinsics - Midnight

Example code for the author_pendingExtrinsics JSON-RPC method. Complete guide on how to use author_pendingExtrinsics JSON-RPC in GetBlock Web3 documentation.

This method returns the list of extrinsics currently waiting in the transaction pool for inclusion in a block.

Parameters

  • None

Request Example

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "author_pendingExtrinsics",
    "params": [],
    "id": "getblock.io"
}'

Response Example

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": [
        "0x280402000bf83d6e4d9101\u2026",
        "0x1004140000\u2026"
    ]
}

Response Parameters

Field
Type
Description

result

array of string

Array of hex-encoded SCALE-serialized pending extrinsics

Use Cases

  • Mempool surveillance and analytics

  • MEV-like opportunities and front-running detection

  • Trading bots reacting to pending transactions

Error Handling

Status Code
Error Message
Cause

404

Not Found

Missing or invalid <ACCESS-TOKEN>

-32602

Invalid params

Request parameters are missing or malformed

-32053

Not allowed

the API Key is not allowed to access method

-32601

Method not found

The method is not enabled on this node or has been deprecated

429

Too Many Requests

Rate limit exceeded for your plan

SDK Integration

Last updated

Was this helpful?